import 'package:flutter/material.dart';

/// # Classe utilizada para definir o formato da AppBar no BaseView.
class AppBarMenuCustomClipper extends CustomClipper<Path> {
  @override
  Path getClip(Size size) {
    final path = Path();
    path.lineTo(0, size.height * .55);

    final firstControlPoint = Offset(0, size.height * .8);
    final firstEndPoint = Offset(size.width * .15, size.height * .8);

    path.quadraticBezierTo(
      firstControlPoint.dx,
      firstControlPoint.dy,
      firstEndPoint.dx,
      firstEndPoint.dy,
    );

    path.lineTo(size.width / 1.2, size.height * .8);

    final secControlPoint = Offset(size.width * 1, size.height * .8);
    final secEndPoint = Offset(size.width, size.height * 1);

    path.quadraticBezierTo(
      secControlPoint.dx,
      secControlPoint.dy,
      secEndPoint.dx,
      secEndPoint.dy,
    );

    path.lineTo(size.width, 0);
    path.close();

    return path;
  }

  @override
  bool shouldReclip(CustomClipper<Path> oldClipper) => false;
}
